System reference codes index.
Sources for this description
IBM MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.2.3.51.2.23.3.3.2.1.1
System reference codes index.
Identification
{1 3 6 1 4 1 2 3 51 2 23 3 3 2 1 1}
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In BLADE-MIB, the row index sysRefCodeDetailIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.2.3.51.2.23.3.3.2.1.1.<sysRefCodeDetailIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.2.3.51.2.23.3.3.2.1.1
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
sysRefCodeDetailIndex OBJECT-TYPE
SYNTAX INTEGER
ACCESS read-only
STATUS mandatory
DESCRIPTION
"System reference codes index."
::= { bladeSysRefCodesDetailsEntry 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
System reference codes index.
IBM MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: sysRefCodeDetailIndex
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"sysRefCodeDetailIndex",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"System reference codes index.\"",
"::=",
"{",
"bladeSysRefCodesDetailsEntry",
"1",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"System reference codes index."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive. IBM support.
Module: BLADE-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress']}Related source files and packages:
Same file in Observium Community.
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2.3.51.2.23.3.3.2.1.2 | sysRefCodeDetailBayNumber | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.3.3.2.1.3 | sysRefCodeDetailSRCSequence | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.3.3.2.1.4 | sysRefCodeDetailSequence | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.3.3.2.1.5 | sysRefCodeDetailDataString | 0 | 0 |